Bug 1013385 - mate-user-share doesn't work if no password is required
mate-user-share doesn't work if no password is required
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mate-user-share (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 16:27 EDT by antonio montagnani
Modified: 2015-01-31 13:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-31 13:38:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of network (3.86 KB, text/plain)
2013-09-29 16:27 EDT, antonio montagnani
no flags Details

  None (edit)
Description antonio montagnani 2013-09-29 16:27:32 EDT
Created attachment 804786 [details]
log of network

Description of problem:
I get an error and I cant't get into Public folder

Version-Release number of selected component (if applicable):
mate-user-share-1.6.1-0.2.git77a6040.fc19.i686

How reproducible:
always

Steps to Reproduce:
1.enable PersonalFilessharing
2.try to connect to Public Folders
3.

Actual results:
When I open Resources/Network I see shares of computers A and B but:

working on A clicking on B I get :
Impossible to mount position
Error HTTP: Cannot connect to destination (PCdesktop.local)

Clicking on A (per quanto abbia senso) I get:
Impossible to mount the position
Error HTTP: Internal Server Error

Same if I work on B 

Expected results:
to get Personal Files on shared folders

Additional info:

same if I use gnome-user-share, no improvement also when Firewalld is disabled
Comment 1 antonio montagnani 2013-10-04 05:04:31 EDT
I made a test also with Bluetooth.

I can transfer from my computer to Android smartphone, but not the other way round.
I assume that they are connected
Comment 2 Wolfgang Ulbrich 2013-10-04 06:00:59 EDT
That's a know issue with mate-bluetooth, you should try bluedevil
Comment 3 Björn "besser82" Esser 2013-10-04 07:32:15 EDT
What's unclear to get some specific problem in this bug-report:

  1. Is your local DNS working?  (e.g. can you ping the pcs oneanother
     using their fqdn?)

  2. Are you using the stock config of {gnome,mate}-desktop-share?  Or did you
     setup any httpd with custom WebDAV config for this?

  3. Is the httpd running on the respective machine?

  4. Which selinux contexts are the dirs you want to share?  Any ACL-alerts?

  5. Is the shared printer working from all machines?

  6. Are you using proper credentials on WebDAV-access?

Please give us some more details about the issue and what exactly you are trying to do.
Comment 4 antonio montagnani 2013-10-04 10:02:37 EDT
Point 1: something seems be wrong I should see PCDESKTOP (that is the name of my computer)...am I correct?? this is a standard installation of Fedora

etc/sysconfig/network looks:

# Generated by anaconda
NETWORKING=yes
NTPSERVERARGS=iburst

etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6

Point 2: standard configuration

Point 3: httpd seems dead: I issued a systectl start httpd.service

Point 4: please clarify

Point 5: printer are shared

Point 6: please clarify: both machines are running on standard F-19 installations
Comment 5 antonio montagnani 2013-10-04 10:10:39 EDT
same configuration files on the computer called Acer5720, but httpd is running
Comment 6 antonio montagnani 2013-10-04 11:07:56 EDT
ping Acer5720
PING Acer5720 (192.168.1.115) 56(84) bytes of data.
64 bytes from Acer5720 (192.168.1.115): icmp_seq=1 ttl=64 time=1.47 ms
64 bytes from Acer5720 (192.168.1.115): icmp_seq=2 ttl=64 time=1.03 ms


so pinging the machine does work
Comment 7 antonio montagnani 2013-10-04 11:13:49 EDT
if I ping PCdesktop (that is the computer I was issuing ping command in previous comment) I get:
 ping PCdesktop
ping: unknown host PCdesktop
Comment 8 antonio montagnani 2013-10-04 11:15:33 EDT
if I issue ping 192.168.1.2 (that is the IP of PCdesktop  ping is o.k. Just to clarify
Comment 9 Wolfgang Ulbrich 2013-10-04 14:30:21 EDT
Ok, after some hours of work i got mate-user-share with webdav working.
1. With a huge help from Börn ping is working. Do
(mother=1.box , satellite=2.box, rave= user name, xxxx.xxx.xxx.xxx = ip adress target box)
a) hostname mother.rave.local
b) edit /etc/hosts
127.0.0.1   mother.rave.local localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         mother.rave.local localhost localhost.localdomain localhost6 localhost6.localdomain6
xxxx.xxx.xxx.xxx    satellite.rave.local satellite

Same in the other box

a) hostname satellite.rave.local
b) edit /etc/hosts
127.0.0.1   satellite.rave.local localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         satellite.rave.local localhost localhost.localdomain localhost6 localhost6.localdomain6
xxxx.xxx.xxx.xxx    mother.rave.local satellite

2. I need to set password is needed for the public (shared) folder, for some reason it doesn't work without a password query.

3. I had to disable the firewall on both boxes
systemctl disable firewalld.service
systemctl stop firewalld.service 

Now sharing works well.
I don't know why i had to disable the firewall completely, for me is firewalld full user unfriendly.
It seems to be a longtime issue since fedora 6, really not a joke.
https://bugzilla.redhat.com/show_bug.cgi?id=179187
https://bugzilla.gnome.org/show_bug.cgi?id=336201
Comment 10 antonio montagnani 2013-10-04 15:25:10 EDT
I have two comments:

1) when an user wants to get shared files from another computer, he doesn't know the IP number of the target, especially if working with DHCP
2) not all firewalld should be disabled/stopped

This is a workround, not the solution.

Shall we change priority/severity??
Comment 11 Wolfgang Ulbrich 2013-10-04 15:50:08 EDT
(In reply to antonio montagnani from comment #10)
> I have two comments:
> 
> 1) when an user wants to get shared files from another computer, he doesn't
> know the IP number of the target, especially if working with DHCP
> 2) not all firewalld should be disabled/stopped
> 
> This is a workround, not the solution.
> 
> Shall we change priority/severity??
Where?

I'm not shure that knowing the ip is really needed, i posted point 1 here to give you help with the ping.

For me this is in the end a problem with the firewall. Without a firewall mate-user-share is working.
Comment 12 antonio montagnani 2013-10-04 16:18:00 EDT
I followed your advice and I get same results on one computer.

On the other one I have a problem with httpd:

# systemctl status httpd.service
httpd.service - The Apache HTTP Server
   Loaded: loaded (/usr/lib/systemd/system/httpd.service; enabled)
   Active: active (running) since ven 2013-10-04 22:07:37 CEST; 5min ago
 Main PID: 1206 (httpd)
   Status: "Total requests: 0; Current requests/sec: 0; Current traffic:   0 B/sec"
   CGroup: name=systemd:/system/httpd.service
           ├─1206 /usr/sbin/httpd -DFOREGROUND
           ├─1224 /usr/sbin/httpd -DFOREGROUND
           ├─1225 /usr/sbin/httpd -DFOREGROUND
           ├─1226 /usr/sbin/httpd -DFOREGROUND
           ├─1227 /usr/sbin/httpd -DFOREGROUND
           └─1228 /usr/sbin/httpd -DFOREGROUND

ott 04 22:07:35 PCdesktop systemd[1]: Starting The Apache HTTP Server...
ott 04 22:07:38 PCdesktop httpd[1206]: AH00558: httpd: Could not reliably determine the server's fully qualified domain name, using ::1. Set the 'ServerName' directi...this message

any idea??
Comment 13 antonio montagnani 2013-10-04 16:37:53 EDT
solved the httpd issue by setting ServerName localhost in /etc/httpd/httpd.conf

Shall this bug be changed to firewall component??
Comment 14 antonio montagnani 2013-10-04 16:51:04 EDT
comclusion:

1)xxxx-user-share doesn't work if no password is required
2) some firewall issue prevent xxxx-user-share to work if firewall is running.

Am I correct??

IP is not necessary, FYI.
Comment 15 Björn "besser82" Esser 2013-10-05 05:05:27 EDT
(In reply to Wolfgang Ulbrich from comment #11)
> For me this is in the end a problem with the firewall. Without a firewall
> mate-user-share is working.

(In reply to antonio montagnani from comment #13)
> Shall this bug be changed to firewall component??

There is no real issue with firewalld.  You just need to adapt it's default config:

  1. Open the firewall config-tool.
  2. change "configuration:"-dropbox to "Permanent".
  3. check http and https services within the "zones"-tab.
  4. if you want to restrict access to a specific address-range, you may do
     so within the "services"-tab.
  5. click on "Options --> reload firewalld" on the menu.
  5. ready to go.
Comment 16 antonio montagnani 2013-10-05 05:32:24 EDT
after following your comment when I try to connect from Acer5720 to PCdesktop I get:

Impossible to mount destination
Errore HTTP: Cannot connect to destination (PCdesktop.local)

what is wrong??
Comment 17 Wolfgang Ulbrich 2013-10-06 08:18:32 EDT
(In reply to antonio montagnani from comment #14)
> comclusion:
> 
> 1)xxxx-user-share doesn't work if no password is required
> 2) some firewall issue prevent xxxx-user-share to work if firewall is
> running.
> 
> Am I correct??
> 
> IP is not necessary, FYI.

Are you shure that gnome-user-share only works too if the firewall is disable?
I'll try to speak with the maintainer about this.
Some searches with google shows me that xxx-user-share don't use use a defined port (80) for sharing, which is a problem for static firewalls.
On the otherside firewalld isn't static and should support this, which was mentioned here.
http://fedoraproject.org/wiki/Desktop/Whiteboards/Firewall

(In reply to Björn "besser82" Esser from comment #15)
> (In reply to Wolfgang Ulbrich from comment #11)
> > For me this is in the end a problem with the firewall. Without a firewall
> > mate-user-share is working.
> 
> (In reply to antonio montagnani from comment #13)
> > Shall this bug be changed to firewall component??
> 
> There is no real issue with firewalld.  You just need to adapt it's default
> config:
> 
>   1. Open the firewall config-tool.
>   2. change "configuration:"-dropbox to "Permanent".
>   3. check http and https services within the "zones"-tab.
>   4. if you want to restrict access to a specific address-range, you may do
>      so within the "services"-tab.
>   5. click on "Options --> reload firewalld" on the menu.
>   5. ready to go.

I did this but i can't get a connection with a enabled firewall.
Comment 18 antonio montagnani 2013-10-06 11:39:30 EDT
I confirm that if firewall is running, I can't connect to my shared Personal files.Not sure,but same issue was also on F18, but no solution
Comment 19 Wolfgang Ulbrich 2013-10-11 06:50:56 EDT
upstream is informed.
https://github.com/mate-desktop/mate-user-share/issues/16
Comment 20 antonio montagnani 2013-10-11 07:16:35 EDT
shall we file a separate bug for the firewalld issue???
Comment 21 Wolfgang Ulbrich 2013-10-11 07:32:37 EDT
Maybe it helps report to firewalld to clarify the situation.
You say that it is the same with current gnome-user-share, so i might be helpful also file out a report for gnome-user-share, maybe the orginal developer knows more and can help.
Comment 22 Fedora End Of Life 2015-01-09 17:19:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.